Talk:Lich (software)

The official GemStone IV encyclopedia.
Jump to: navigation, search

Notes from Estild & Ondreian from discord on installing newer (2.4.4) version of Ruby on windows:

[10/26/2018, 10:17:42 AM] Estild: You want to manually install the newer gems on Windows for 2 reasons under Ruby 2.4.4 (and you can use the x64 version now too).  First, because Lich won't do it at all since it looks for gem.bat in your Ruby installation directory, but said file is now gem.cmd.  Second, to get more current versions of the needed gems, since Lich tries to download older versions instead of the latest.  So after installing Ruby, you need to manually run gem install sqlite3 cairo gtk2 --source http://rubygems.org/ --no-ri --no-rdoc from your C:\Ruby24-x64\bin\ directory (or from wherever you installed it).(edited)
[10/26/2018, 10:22:40 AM] Ondreian: I personally think that the install instruction should be updated to include checking the add binaries to %PATH%

WHIGHTCNIGHT (talk) 09:31, 26 October 2018 (CDT)